/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLImgElement;

public class WMLImgElementImpl extends WMLElementImpl implements WMLImgElement {

  public WMLImgElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  public void setWidth(String newValue) {
    setAttribute("width", newValue);
  }

  public String getWidth() {
    return getAttribute("width");
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setXmlLang(String newValue) {
    setAttribute("xml:lang", newValue);
  }

  public String getXmlLang() {
    return getAttribute("xml:lang");
  }

  public void setLocalSrc(String newValue) {
    setAttribute("localsrc", newValue);
  }

  public String getLocalSrc() {
    return getAttribute("localsrc");
  }

  public void setHeight(String newValue) {
    setAttribute("height", newValue);
  }

  public String getHeight() {
    return getAttribute("height");
  }

  public void setAlign(String newValue) {
    setAttribute("align", newValue);
  }

  public String getAlign() {
    return getAttribute("align");
  }

  public void setVspace(String newValue) {
    setAttribute("vspace", newValue);
  }

  public String getVspace() {
    return getAttribute("vspace");
  }

  public void setAlt(String newValue) {
    setAttribute("alt", newValue);
  }

  public String getAlt() {
    return getAttribute("alt");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setHspace(String newValue) {
    setAttribute("hspace", newValue);
  }

  public String getHspace() {
    return getAttribute("hspace");
  }

  public void setSrc(String newValue) {
    setAttribute("src", newValue);
  }

  public String getSrc() {
    return getAttribute("src");
  }

}
