/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: TestPage1Interface.java,v 1.2 2000/01/22 07:11:43 markd Exp $
 */

package org.enhydra.xml.xmlc.tests.html;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

/**
 * Interface used to check -implements option on testPage1.html.
 */
public interface TestPage1Interface  {

    public HTMLElement getElementTextOne();

    public void setTextTextOne(String text);

    public HTMLAnchorElement getElementThree();

    public HTMLAnchorElement getElementFour();
}

/*
 * Local Variables:
 * mode: java
 * End:
 */

