#!/bin/sh
#
# Run a XMLC generate object and save the output.
#

set -e  # Stop on errors

ROOT="@ROOT@"
JAVA="@JAVA@"

XMLC_OUTPUT="@XMLC_OUTPUT@"
TEST_CLASSES="${ROOT}/classes/tests"

XMLC_JAR="${XMLC_OUTPUT}/lib/xmlc.jar"
ENHYDRA_CLASSPATH="@ENHYDRA_CLASSPATH@"

if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
else
    PS=:
fi

if [ "X${XMLC_STANDALONE}" = "XYES" ] ; then
    CLASSPATH="${TEST_CLASSES}${PS}${XMLC_JAR}"
else
    CLASSPATH="${TEST_CLASSES}${PS}${ENHYDRA_CLASSPATH}"
fi
export CLASSPATH

MX_ARG=""
if [ "${XMLC_MAX_HEAP}X" != "X" ] ; then
    MX_ARG="-mx${XMLC_MAX_HEAP}m"
fi


exec ${JAVA} ${MX_ARG} org.enhydra.xml.xmlc.tests.RunObject "$@"
