/*
 * @(#)TidyBeanInfo.java   1.3 1999/07/30
 *
 */

package org.w3c.tidy;

/**
 *
 * BeanInfo for Tidy
 *
 * (c) 1998, 1999 (W3C) MIT, INRIA, Keio University
 * Derived from <a href="http://www.w3.org/People/Raggett/tidy">
 * HTML Tidy Release 26 Jul 1999</a>
 *
 * @author  Dave Raggett <dsr@w3.org>
 * @author  Andy Quick <ac.quick@sympatico.ca> (translation to Java)
 * @version 1.3, 1999/07/30 Tidy Release 26 Jul 1999
 */

import java.beans.SimpleBeanInfo;
import java.awt.Image;

public class TidyBeanInfo extends SimpleBeanInfo {

    public Image getIcon(int kind)
    {
        return loadImage("tidy.gif");
    }

}
