#
# Enhydra Java Application Server 
# The Initial Developer of the Original Code is Lutris Technologies Inc. 
# Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
# Inc. 
# All Rights Reserved. 
#
# The contents of this file are subject to the Enhydra Public License Version
# 1.0 (the "License"); you may not use this file except in compliance with the
# License. You may obtain a copy of the License at
# http://www.enhydra.org/software/license/epl.html 
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations under the
# License. 
#
# $Id: config.mk,v 1.5.2.2 2000/03/29 02:56:10 pmahar Exp $
#
#
# Module-level make configuration file.
#

ROOT = ${MODROOT}/../..

JBKELP_VERSION = 1.1

JARNAME = jb-kelp

JBKELP_OUTPUT = ${ROOT}/output/jb-kelp${JBKELP_VERSION}

include ${ROOT}/config.mk

# Add in classes that are only used to build and run IDE, not enhydra.
ifeq (${HAVE_JBUILDER},YES)
    ENHYDRA_CLASSPATH:=${JBUILDER_CLASSES}${PS}${JBFOUNDATION_CLASSES}${PS}${ENHYDRA_CLASSPATH}
endif
ENHYDRA_CLASSPATH:=${MODULES}/Kelp/src${PS}${ENHYDRA_CLASSPATH}

