/*-----------------------------------------------------------------------------
 * Copyright (C) 1998 Lutris Technologies, Inc.           All Rights Reserved.
 * 
 * This software and documentation is the confidential and proprietary
 * information of Lutris Technologies, Inc. ("Confidential Information").
 * You shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement you
 * entered into with Lutris Technologies.
 *-----------------------------------------------------------------------------
 * $Id: ActKeyValidationException.java,v 1.3 2000/02/21 23:50:39 markd Exp $
 *-----------------------------------------------------------------------------
 */
 
package com.lutris.multiServer;

/**
 * This is the <code>Exception</code> that will be thrown if the given
 * validation code does not accept the right-to-run of the currently
 * running servlet.
 *
 * @author Jason Abbott (jason@lutris.com)
 * @see org.enhydra.servlet.ActKeyValidation
 */
public class ActKeyValidationException extends Exception {
    public ActKeyValidationException(String s) {
	super(s);
    }
}
