/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLGoElement;

public class WMLGoElementImpl extends WMLElementImpl implements WMLGoElement {

  public WMLGoElementImpl (WMLDocumentImpl owner, String tagName) {
    super( owner, tagName);
  }

  public void setSendreferer(String newValue) {
    setAttribute("sendreferer", newValue);
  }

  public String getSendreferer() {
    return getAttribute("sendreferer");
  }

  public void setAcceptCharset(String newValue) {
    setAttribute("accept-charset", newValue);
  }

  public String getAcceptCharset() {
    return getAttribute("accept-charset");
  }

  public void setHref(String newValue) {
    setAttribute("href", newValue);
  }

  public String getHref() {
    return getAttribute("href");
  }

  public void setClassName(String newValue) {
    setAttribute("class", newValue);
  }

  public String getClassName() {
    return getAttribute("class");
  }

  public void setId(String newValue) {
    setAttribute("id", newValue);
  }

  public String getId() {
    return getAttribute("id");
  }

  public void setMethod(String newValue) {
    setAttribute("method", newValue);
  }

  public String getMethod() {
    return getAttribute("method");
  }

}
