/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLMetaElement;

public class WMLMetaElementImpl extends WMLElementImpl implements WMLMetaElement {

    public WMLMetaElementImpl (WMLDocumentImpl owner, String tagName) {
	super( owner, tagName);
    }

    public void setForua(boolean newValue) {
	setAttribute("forua", newValue);
    }

    public boolean getForua() {
	return getAttribute("forua", false);
    }

    public void setScheme(String newValue) {
	setAttribute("scheme", newValue);
    }

    public String getScheme() {
	return getAttribute("scheme");
    }

    public void setClassName(String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName() {
	return getAttribute("class");
    }

    public void setHttpEquiv(String newValue) {
	setAttribute("http-equiv", newValue);
    }

    public String getHttpEquiv() {
	return getAttribute("http-equiv");
    }

    public void setId(String newValue) {
	setAttribute("id", newValue);
    }

    public String getId() {
	return getAttribute("id");
    }

    public void setContent(String newValue) {
	setAttribute("content", newValue);
    }

    public String getContent() {
	return getAttribute("content");
    }

    public void setName(String newValue) {
	setAttribute("name", newValue);
    }

    public String getName() {
	return getAttribute("name");
    }
}
