#
# The contents of this file are subject to the OpenXML Public
# License Version 1.0; you may not use this file except in
# compliance with the License. You may obtain a copy of the
# License at http://www.openxml.org/license/
#
# THIS SOFTWARE AND DOCUMENTATION IS PROVIDED ON AN "AS IS" BASIS
# WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED,
# INCLUDING AND WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE
# AND DOCUMENTATION IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A
# PARTICULAR PURPOSE OR NON-INFRINGING. SEE THE LICENSE FOR THE
# SPECIFIC LANGUAGE GOVERNING RIGHTS AND LIMITATIONS UNDER THE
# LICENSE.
#
# The Initial Developer of this code under the License is
# OpenXML.org. Portions created by OpenXML.org and/or Assaf Arkin
# are Copyright (C) 1998, 1999 OpenXML.org. All Rights Reserved.
#

#
# awk program to convert a org/openxml/x3p/publishers/HTMLEntities.res to a
# switch statement.  This should be replaced by something better and is not
# used during the build process, it must be run by hand.
#

BEGIN {
    INDENT="        ";
}

/^[ \t]*#/ {
    printf "%s%s\n", INDENT, gensub("^#", "//", 0, $0);
}
/^[a-zA-Z0-9]+[ \t]*[0-9]+/ {
    split($0, parts);
    printf "%scase '\\u%04x': buf.append(\"&%s;\"); break;\n", INDENT, parts[2], parts[1];
}
